Page MenuHomePhabricator

Creation of a Program Committee for Wikimedia developer events (a Wikimania Hackathon session)
Closed, ResolvedPublic

Description

NOTE: This task is being temporarily morphed as a Wikimania 2017 Hackathon session, likely to be morphed again as a task to create such committee if agreed.

Thursday, August 10 at 3pm
Salon 7 (Level 3)

Objectives of the session

  1. Awareness about the idea to form a permanent Program Committee to support the Wikimedia Developer Summit and other developer events.
  2. Discussion about the idea, refactoring and polishing as needed.
  3. Initial identification of potential candidates to form this Committee (not tied of participants at the session).
  4. Next steps.

Background

During the discussion of the Wikimedia Foundation Annual Plan FY2017-18, we talked about evolving the idea of the Program Committee implemented at the Wikimedia Developer Summit 2017. This committee is mentioned in the plan, under Technology's Program 4: Technical community building, in the context of the next Wikimedia Developer Summit only:

Objective 2: A process allows prospect participants to submit statements and proposals about the main theme, and allows the Program Committee to review them and notify their decisions. Discussions start before the event with the involvement of all the relevant stakeholders, in order to identify the points that need to be addressed at the event.

In the related discussions, the idea was to have a permanent Program Committee that would support not only the Summit, but also other Wikimedia developer events, contributing to the goal that the right people can travel to the right places (including scholarships and other travel approvals) to discuss the right topics face to face.

Some notes from Winter 2017:

A Program Committee tasked to define the topics and activities prioritized for each international event, and to organize the corresponding calls for participation.

This committee would be responsible of defining a common strategy for international Wikimedia developer events, defining goals and measurements of success for each event.

One goal would be that Wikimedia Foundation’s Technology and Product plans move forward aligned with the rest of the Wikimedia technical community and related upstream projects thanks to good collaboration in various international developer events complementing regular online collaboration.

  • Through a lightweight open process, a core Program Committee is selected with representation of Technology, Product, Community Engagement, and volunteer developers, latest by the Hackathon in Wikimania.
  • When a new main theme is agreed for a new event, new members specializing in these themes are invited, and they leave when their duties for the related events are completed.

Event Timeline

Qgil created this task.Mar 21 2017, 2:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2017, 2:09 PM
Qgil updated the task description. (Show Details)Mar 21 2017, 2:18 PM
Qgil updated the task description. (Show Details)
Qgil updated the task description. (Show Details)Mar 21 2017, 2:21 PM
Qgil triaged this task as Low priority.Apr 19 2017, 3:25 PM
Qgil claimed this task.
Qgil moved this task from Backlog to Ready to Go on the Developer-Advocacy (Apr-Jun 2017) board.
Qgil raised the priority of this task from Low to Normal.May 12 2017, 3:10 PM
Qgil renamed this task from Create a committee to oversee the main themes and scheduled activities of the main Wikimedia developer events to Creation of a Program Committee for Wikimedia developer events (a Wikimania Hackathon session).Aug 4 2017, 10:49 AM
Qgil raised the priority of this task from Normal to High.
Qgil updated the task description. (Show Details)
Qgil moved this task from Ready to Go to August on the Developer-Advocacy (Jul-Sep 2017) board.
Qgil added a project: Wikimania-Hackathon-2017.
Qgil moved this task from Backlog to Proposed Sessions on the Wikimania-Hackathon-2017 board.
Qgil added subscribers: brion, Arrbee, greg and 5 others.
chasemp rescinded a token.

One drive-by idea about this: this committee should have similar diversity to what we hope to see in the event attendees. By that I mean that it should not be exclusively Foundation team leads/managers, represent more than software development core skills, include a range of human experiences, and ideally would allow for including members who are not paid by the Foundation.

Zppix added a subscriber: Zppix.Aug 5 2017, 10:02 PM

is there a way for people whom are interested in leaving feedback about this, but cant attend hackathon?

Qgil added a comment.Aug 7 2017, 9:43 AM

@Zppix sure, just comment here.

Qgil added a comment.Aug 29 2017, 8:27 PM

@ksmith, do you want to take over this task, as you are driving the creation of the committee now?

@Qgil. I'm fine taking over *a* task (or fleet of tasks). This one seems oddly multi-purposed to me.

Qgil added a comment.Aug 30 2017, 7:01 AM

Fair. :) I think I can keep this morphing task open until the program committee is announced.

Meanwhile, Victoria announced the main topics for the next Wikimedia Developer Summit: https://lists.wikimedia.org/pipermail/wikitech-l/2017-August/088658.html

Qgil lowered the priority of this task from High to Normal.Aug 30 2017, 7:02 AM
Samtar added a subscriber: Samtar.Aug 30 2017, 7:04 AM

For clarity since I had a minor heart attack. That email is not really an announcement of "the main topics" so much as a discussion of the state of The Strategy Process and some suggestions about topics/questions @VColeman thought would be relevant. There haven't been any established "main topics" announced yet. :)

Will there still be a Program Committee for sussing out proposals and such then?

Yes, the topics listed in the heads up are just examples of tech topics that are relevant to the strategy. A Program Committee is being formed and will be announced shortly. The PC will select the position papers and structure them into sessions .

Yes, the topics listed in the heads up are just examples of tech topics that are relevant to the strategy. A Program Committee is being formed and will be announced shortly. The PC will select the position papers and structure them into sessions .

Great, thank you @VColeman

Qgil closed this task as Resolved.Sep 7 2017, 9:55 AM
Qgil moved this task from August to September on the Developer-Advocacy (Jul-Sep 2017) board.

The Program Committee for the Wikimedia Developer Summit 2018 has been announced at https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit#Program_Committee

Thank you Victoria, Rachel and others! It looks like a very good group of people to me. And as the person who ultimately had to call many shots about program decisions in the past, I am very happy for *not* being part of that group. :D The new Committee is more qualified and better positioned to make the right decisions. This is a big improvement!

I think this is as far as this task should go. Whether the mandate of that committee is restricted to the next Summit or it will continue to serve a function beyond that event is still open. That is a discussion the own Program Committee can drive, if they wish.